Bruce Momjian <[EMAIL PROTECTED]> writes:
> FYI, I still see compile warnings. I assume they are just related to me
> using Perl 5.0.5 and will ignore them:
        
> gmake[2]: Leaving directory 
> `/usr/var/local/src/gen/pgsql/CURRENT/pgsql/src/test/regress'
> gmake[1]: Leaving directory 
> `/usr/var/local/src/gen/pgsql/CURRENT/pgsql/src/test'
> /usr/libdata/perl5/5.00503/i386-bsdos/CORE/patchlevel.h:41: warning: 
> `local_patches' defined but not used
> ppport.h:564: warning: `sv_2pv_nolen' defined but not used
> /usr/libdata/perl5/5.00503/i386-bsdos/CORE/patchlevel.h:41: warning: 
> `local_patches' defined but not used
> ppport.h:564: warning: `sv_2pv_nolen' defined but not used
> SPI.c:59: warning: no previous prototype for `XS__elog'
> SPI.c:78: warning: no previous prototype for `XS__DEBUG'
> SPI.c:93: warning: no previous prototype for `XS__LOG'
> SPI.c:108: warning: no previous prototype for `XS__INFO'
> SPI.c:123: warning: no previous prototype for `XS__NOTICE'
> SPI.c:138: warning: no previous prototype for `XS__WARNING'
> SPI.c:153: warning: no previous prototype for `XS__ERROR'
> SPI.c:168: warning: no previous prototype for `XS__spi_exec_query'
> SPI.c:197: warning: no previous prototype for `boot_SPI'
> /usr/libdata/perl5/5.00503/i386-bsdos/CORE/patchlevel.h:41: warning: 
> `local_patches' defined but not used
> ppport.h:564: warning: `sv_2pv_nolen' defined but not used

Yeah, these all look like sloppy code generation by perlxs to me.
I see none of them on 5.8.* Perls.

                        regards, tom lane

---------------------------(end of broadcast)---------------------------
TIP 5: Have you checked our extensive FAQ?

               http://www.postgresql.org/docs/faqs/FAQ.html

Reply via email to